Login  •  Register


The time is now: Mon Nov 24, 2014 12:58 am

Emaculation wiki  •  Delete all board cookies



Post new topic  Reply to topic Page 1 of 1 [ 11 posts ]
Print view Previous topic  |  Next topic
Author Message
PostPosted: Wed Jun 08, 2011 8:20 pm 
Offline
Space Cadet

Joined: Wed Jun 08, 2011 8:09 pm
Posts: 1
I am able to boot Sheepshaver without problems, but I cannot install the system software. I have a Powerbook Install CD MacOS 9.04 and Sheepshaver can boot up on that. But when I double click the Mac OS Install application, it gives me an error message that says:

This program cannot run on your computer. See the documentation for more information.

I checked the system specs under About This Computer and it is everything I specified - PowerPC Enabler 9.04, 512 MB, etc.

Any help would be appreciated.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Wed Jun 08, 2011 8:25 pm 
Offline
Forum All-Star

Joined: Tue Oct 14, 2008 12:12 am
Posts: 555
The PowerBook install CD won't work with SheepShaver. You'll need either a store-bought OS 9 CD of the kind that will work on any system, or an image of that CD.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Wed Jun 08, 2011 8:33 pm 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 4033
Location: Amsterdam, Netherlands
A model specific install CD (with grey label) will only work with the Mac model it was provided with.

A general 9.0.4 retail system install CD has a white label with large yellow "9" on it.

On the Macintosh Garden site you can find a disk image of a SheepShaver compatible 9.0.4 retail system install CD.

Or you could try to use your PowerBook install CD with this hack: http://www.emaculation.com/forum/viewto ... ight=crack
The resulting installation may not be fully functional, though, specifically with regard to sound.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Jun 12, 2011 2:49 am 
Offline
Space Cadet

Joined: Sun Jun 12, 2011 2:37 am
Posts: 3
Got a simular issue that I don't know how to deal with.

I have a retail MacOS 9 CD:
Image

... but every time I try to boot SheepShaver with it, I get:
Image

Can anyone help? What should I do here?


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Jun 12, 2011 7:16 am 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 3445
Location: Sittard, The Netherlands
Hi,

Please start by copying the content of your .sheepshaver_prefs file here. The file is in your home folder.

When you start SheepShaver, do you have multiple entries in your volumes list? Is boot from cd selected?

Best,
Cat_7


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Jun 12, 2011 8:11 am 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 4033
Location: Amsterdam, Netherlands
vasiliy wrote:
I have a retail MacOS 9 CD:

It is a MacOS 9.2.1 CD. The latest MacOS version that can be used on SheepShaver is 9.0.4. MacOS 9.1 or later will not work with SheepShaver.

Edit: Correction, added "not".


Last edited by Ronald P. Regensburg on Mon Jun 13, 2011 9:25 am, edited 2 times in total.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Jun 12, 2011 7:44 pm 
Offline
Master Emulator
User avatar

Joined: Tue Feb 23, 2010 7:35 am
Posts: 430
Aww , I was just about to say that , Ronald . But you're right . SheepShaver can only handle until 9.0.4 , right?

Wait , 9.1 can work with SheepShaver?


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Jun 12, 2011 8:08 pm 
Offline
Granny Smith

Joined: Sun Feb 01, 2009 4:55 pm
Posts: 126
No, it can't. 9.1 and later versions require some MMU functions (probably to accommodate Mac OS X installation, if anything).

9.1 can probably almost reach the desktop, if you're lucky, but it crashes probably due to some MMU checking/testing going on.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Jun 12, 2011 10:30 pm 
Offline
Forum All-Star

Joined: Tue Oct 14, 2008 12:12 am
Posts: 555
Ronald P. Regensburg wrote:
MacOS 9.1 or later will work with SheepShaver.


Ronald,

Presumably a typing error for "will NOT work with SheepShaver"!


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Mon Jun 13, 2011 9:23 am 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 4033
Location: Amsterdam, Netherlands
emendelson wrote:
Ronald,

Presumably a typing error for "will NOT work with SheepShaver"!


Yes, thanks. I corrected the error now.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Wed Jun 15, 2011 5:23 pm 
Offline
Space Cadet

Joined: Sun Jun 12, 2011 2:37 am
Posts: 3
Yeah that was 9.2.1 CD Thanks for pointing out. I have now downloaded 9.0.04 from MacintoshGarden.org and it works perfect.


Top
 Profile  
Post a reply  
Display posts from previous:  Sort by  
Post new topic  Reply to topic Page 1 of 1 [ 11 posts ]


Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
 

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group